%define upstream_name 	 XML-Parser-EasyTree
%define upstream_version 0.01

Name: 		perl-%{upstream_name}
Version: 	%perl_convert_version %{upstream_version}
Release: 	%mkrel 12

Summary:	%{upstream_name} perl module
License: 	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel >= 5.6
BuildRequires:	perl(XML::Parser)
BuildArch: noarch


%description
XML-Parser-EasyTree - adds a new "built-in" style called "EasyTree" to 
XML::Parser.  Like XML::Parser's "Tree" style, setting this style causes 
the parser to build a lightweight tree structure representing the XML document.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

%files
%doc README MANIFEST Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML/*/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.10.0-12.mga10
+ Revision: 2215975
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 0.10.0-11.mga9
+ Revision: 1901211
- Mageia 9 Mass Rebuild

* Wed Jul 01 2020 tv <tv> 0.10.0-10.mga8
+ Revision: 1600825
- fix %%install

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-9.mga8
+ Revision: 1498448
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-8.mga7
+ Revision: 1272779
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1036040
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 933572
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 749314
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 686947
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 516168
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 375103
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 23078
- cleaning spec file
- imported package perl-XML-Parser-EasyTree


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 401856
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-12mdv2009.0
+ Revision: 242255
- rebuild
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.01-10mdv2008.0
+ Revision: 64204
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.01-9mdv2008.0
+ Revision: 23510
- rebuild


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.01-8mdk
- Fix According to perl Policy
	- Source URL
	- BuildRequires
- Add URL
- use mkrel

* Wed Jun 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.01-7mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-6mdk
- rebuild for new auto{prov,req}

